2 Replies Latest reply on Dec 28, 2012 11:26 AM by felipse

    ODBC Error: [MySQL][ODBC 5.1 Driver][mysqld-5.0.90]

    sykot

      Title

      ODBC Error: [MySQL][ODBC 5.1 Driver][mysqld-5.0.90]

      Post

      Hi guys,

      I have a big problem in the past i worked with my database via leopard. But i dont know what went wrong but i get evreytime error; 

       

      ODBC Error: [MySQL][ODBC 5.1 Driver][mysqld-5.0.90]Table 'deb27552_form.deb27552_form' doesn't exist

       

      I have setup an sql driver with mysql driver and when i do a test connection its succesfull but when i want to get data from the server i get the message here above..

       

      Can some one help me to fix this problem :)....

       

      Regards,

      Serhat

        • 1. Re: ODBC Error: [MySQL][ODBC 5.1 Driver][mysqld-5.0.90]
          wagnertenor

          Did you find an answer to this?  I have the same problem

          Thanks,

          Graham

          • 2. Re: ODBC Error: [MySQL][ODBC 5.1 Driver][mysqld-5.0.90]
            felipse

                 Hej hello!

                 Not the most recent post but as I encountered the same problem these days and could solve it, more or less, here few more details.

                 The 5.1 mySQL ODBC Connector generation on Mac OS X (leopard above, snow leopard on my systems) mostly do not like working with FMP 11/FMP Advanced 11 / FMS Advanced 11 (tested systems). Up from version 5.1.5 there are varying possibly fatal errors like

                 5.1.6 table not found (for some reason the inquired table name is always the same as the database name..)
                 +- 5.1.8  __abort() call with unclear context
                 5.1.11 assert fail (something like assert(buf != sizeof(buf))..)

                 The exact reasons are not clear, but I got running systems using connector version 5.1.4 which you can get from the mysql download archive:

            http://downloads.mysql.com/archives.php?p=mysql-connector-odbc-5.1

                 As the doc says always use the most recent driver, because it's got bugs from previous versions solved.. though would be interesting to know if thats more a filemaker or mysql connector problem..